<node id="KINTEX_TCDS">
  <node id="CLOCKING"           address="0x000">
    <!-- <node id="FB_CLK_LOST"      address="0x000" mask="0x00000010" permission="r"/> -->
    <!-- <node id="CLK_LOCKED"       address="0x000" mask="0x00000020" permission="r"/> -->
    <!-- <node id="RESET"            address="0x001" mask="0x00000001" permission="rw"/> -->
    <node id="RX_CDR_STABLE"    address="0x000" mask="0x00000200" permission="r"/>
    <node id="POWER_GOOD"    address="0x000" mask="0x00000002" permission="r"/>

    
  </node>
  <node id="RESETS"             address="0x005">    
    <node id="RESET_ALL"         address="0x000" mask="0x00000001" permission="rw"/>
    <node id="TX_PLL_DATAPATH"   address="0x000" mask="0x00000010" permission="rw"/>
    <node id="TX_DATAPATH"       address="0x000" mask="0x00000020" permission="rw"/>
    <node id="RX_PLL_DATAPATH"   address="0x000" mask="0x00000100" permission="rw"/>
    <node id="RX_DATAPATH"       address="0x000" mask="0x00000200" permission="rw"/>

    <node id="TX_RESET_DONE"     address="0x001" mask="0x00000040" permission="r"/>
    <node id="TX_PMA_RESET_DONE" address="0x001" mask="0x00000080" permission="r"/>
    <node id="RX_RESET_DONE"     address="0x001" mask="0x00000400" permission="r"/>
    <node id="RX_PMA_RESET_DONE" address="0x001" mask="0x00000800" permission="r"/>

  </node>
  <node id="LOOPBACK"           address="0x008" mask="0x00000007" permission="rw"/>
  <!-- <node id="DMONITOR"           address="0x009" mask="0x0000008F" permission="r"/> -->
  <node id="RX"                 address="0x010">
    <!-- <node id="PRBS_ERROR"       address="0x000" mask="0x00000001" permission="r"/> -->
    <!-- <node id="RESET_DONE"       address="0x000" mask="0x00000002" permission="r"/> -->
    <node id="PMA_RESET_DONE"        address="0x000" mask="0x00000002" permission="r"/>
    <node id="BAD_CHAR"         address="0x000" mask="0x000000F0" permission="r"/>
    <node id="DISP_ERROR"       address="0x000" mask="0x00000F00" permission="r"/>    
    <!-- <node id="DMONITOR"         address="0x000" mask="0x0007F000" permission="r"/> -->
    <node id="PRBS_SEL"         address="0x001" mask="0x0000000F" permission="rw"/>
    <node id="PRBS_RESET"       address="0x001" mask="0x00000010" permission="w"/>
    <node id="USER_CLK_READY"       address="0x001" mask="0x00000020" permission="rw"/>
    <!-- <node id="DFELPM_RESET"     address="0x001" mask="0x00000020" permission="rw"/> -->
    <!-- <node id="MONITOR_SEL"      address="0x001" mask="0x00000300" permission="rw"/> -->
    <!-- <node id="RESET"            address="0x002" mask="0x00000001" permission="rw"/> -->
    <!-- <node id="PMA_RESET"        address="0x002" mask="0x00000002" permission="rw"/> -->
  </node>
  <node id="TX"                 address="0x020">
    <!-- <node id="RESET_DONE"       address="0x000" mask="0x00000002" permission="r"/> -->
    <node id="PMA_RESET_DONE"        address="0x000" mask="0x00000002" permission="r"/> -->
    <node id="PWR_GOOD"       address="0x000" mask="0x00000010" permission="r"/>
    <node id="PRBS_SEL"         address="0x001" mask="0x0000000F" permission="rw"/> 
    <node id="PRBS_FORCE_ERROR" address="0x001" mask="0x00000010" permission="w"/>
    <node id="INHIBIT"          address="0x001" mask="0x00000020" permission="rw"/>
    <node id="USER_CLK_READY"       address="0x001" mask="0x00000040" permission="rw"/>    
  </node>
  <node id="EYESCAN"            address="0x030">
    <!-- <node id="DATA_ERROR"       address="0x000" mask="0x00000001" permission="r"/> -->
    <node id="RESET"            address="0x001" mask="0x00000001" permission="rw"/>
    <node id="TRIGGER"          address="0x001" mask="0x00000010" permission="w"/>
  </node>
  <node id="DEBUG"              address="0x040">
    <node id="CAPTURE"          address="0x000" mask="0x00000001" permission="w"/>
    <node id="MODE"             address="0x002" mask="0x0000000F" permission="rw"/>
    <node id="CAPTURE_D"        address="0x004" mask="0xFFFFFFFF" permission="r"/>
    <node id="CAPTURE_K"        address="0x005" mask="0x0000000F" permission="r"/>
    <node id="FIXED_SEND_D"     address="0x006" mask="0xFFFFFFFF" permission="rw"/>
    <node id="FIXED_SEND_K"     address="0x007" mask="0x0000000F" permission="rw"/>   
  </node>
</node>
